Bug 226504 - update databases/percona57-server to 5.7.21-20, fix compilation with clang 6
Summary: update databases/percona57-server to 5.7.21-20, fix compilation with clang 6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-10 20:21 UTC by Florian Smeets
Modified: 2018-04-26 17:54 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
update (15.21 KB, patch)
2018-03-10 20:21 UTC, Florian Smeets
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets freebsd_committer 2018-03-10 20:21:03 UTC
Created attachment 191377 [details]
update

- update port
- fix compilation on head
Comment 1 commit-hook freebsd_committer 2018-03-31 18:27:51 UTC
A commit references this bug:

Author: flo
Date: Sat Mar 31 18:26:52 UTC 2018
New revision: 466073
URL: https://svnweb.freebsd.org/changeset/ports/466073

Log:
  - update to 5.7.21-20
  - fix build with clang 6.0

  PR:		226504
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/databases/percona57-client/Makefile
  head/databases/percona57-client/files/patch-client_CMakeLists.txt
  head/databases/percona57-client/files/patch-cmake_plugin.cmake
  head/databases/percona57-client/files/patch-configure.cmake
  head/databases/percona57-client/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  head/databases/percona57-client/pkg-plist
  head/databases/percona57-server/Makefile
  head/databases/percona57-server/distinfo
  head/databases/percona57-server/files/patch-cmake_plugin.cmake
  head/databases/percona57-server/files/patch-configure.cmake
  head/databases/percona57-server/files/patch-libmysql_CMakeLists.txt
  head/databases/percona57-server/files/patch-sql_sql__view.cc
Comment 2 Florian Smeets freebsd_committer 2018-03-31 18:28:49 UTC
As clang 6.0 has been committed to 11-STABLE I've gone ahead and committed this.